!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 183

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1249)
  integer, parameter :: nGC_9805 = 1
  integer, parameter :: nGC_9806 = 2
  integer, parameter :: nGC_9800 = 3
  integer, parameter :: nGC_9803 = 4
  integer, parameter :: nGC_9802 = 5
  integer, parameter :: nGC_MMW_GF = 6
  integer, parameter :: nGC_9809 = 7
  integer, parameter :: nGC_9808 = 8
  integer, parameter :: nGC_9654 = 9
  integer, parameter :: nGC_9655 = 10
  integer, parameter :: nGC_9656 = 11
  integer, parameter :: nGC_9657 = 12
  integer, parameter :: nGC_9650 = 13
  integer, parameter :: nGC_9652 = 14
  integer, parameter :: nGC_9653 = 15
  integer, parameter :: nGC_9658 = 16
  integer, parameter :: nGC_9659 = 17
  integer, parameter :: nGC_9671 = 18
  integer, parameter :: nGC_9799 = 19
  integer, parameter :: nGC_9478 = 20
  integer, parameter :: nGC_9479 = 21
  integer, parameter :: nGC_9579 = 22
  integer, parameter :: nGC_9571 = 23
  integer, parameter :: nGC_9573 = 24
  integer, parameter :: nGC_9572 = 25
  integer, parameter :: nGC_9575 = 26
  integer, parameter :: nGC_9574 = 27
  integer, parameter :: nGC_9577 = 28
  integer, parameter :: nGC_9576 = 29
  integer, parameter :: nGC_9793 = 30
  integer, parameter :: nGC_16 = 31
  integer, parameter :: nGC_MZ_GF = 32
  integer, parameter :: nGC_85 = 33
  integer, parameter :: nGC_9683 = 34
  integer, parameter :: nGC_9681 = 35
  integer, parameter :: nGC_9687 = 36
  integer, parameter :: nGC_9685 = 37
  integer, parameter :: nGC_9684 = 38
  integer, parameter :: nGC_22 = 39
  integer, parameter :: nGC_23 = 40
  integer, parameter :: nGC_9689 = 41
  integer, parameter :: nGC_9688 = 42
  integer, parameter :: nGC_26 = 43
  integer, parameter :: nGC_27 = 44
  integer, parameter :: nGC_24 = 45
  integer, parameter :: nGC_25 = 46
  integer, parameter :: nGC_153 = 47
  integer, parameter :: nGC_152 = 48
  integer, parameter :: nGC_151 = 49
  integer, parameter :: nGC_150 = 50
  integer, parameter :: nGC_157 = 51
  integer, parameter :: nGC_156 = 52
  integer, parameter :: nGC_155 = 53
  integer, parameter :: nGC_9584 = 54
  integer, parameter :: nGC_159 = 55
  integer, parameter :: nGC_158 = 56
  integer, parameter :: nGC_9585 = 57
  integer, parameter :: nGC_9634 = 58
  integer, parameter :: nGC_81 = 59
  integer, parameter :: nGC_9586 = 60
  integer, parameter :: nGC_9587 = 61
  integer, parameter :: nGC_68 = 62
  integer, parameter :: nGC_11964 = 63
  integer, parameter :: nGC_9888 = 64
  integer, parameter :: nGC_118 = 65
  integer, parameter :: nGC_83 = 66
  integer, parameter :: nGC_9618 = 67
  integer, parameter :: nGC_126 = 68
  integer, parameter :: nGC_9752 = 69
  integer, parameter :: nGC_9755 = 70
  integer, parameter :: nGC_9754 = 71
  integer, parameter :: nGC_120 = 72
  integer, parameter :: nGC_9756 = 73
  integer, parameter :: nGC_9610 = 74
  integer, parameter :: nGC_9758 = 75
  integer, parameter :: nGC_9613 = 76
  integer, parameter :: nGC_9614 = 77
  integer, parameter :: nGC_9615 = 78
  integer, parameter :: nGC_128 = 79
  integer, parameter :: nGC_9617 = 80
  integer, parameter :: nGC_9729 = 81
  integer, parameter :: nGC_9619 = 82
  integer, parameter :: nGC_9858 = 83
  integer, parameter :: nGC_9859 = 84
  integer, parameter :: nGC_9856 = 85
  integer, parameter :: nGC_9857 = 86
  integer, parameter :: nGC_9850 = 87
  integer, parameter :: nGC_9851 = 88
  integer, parameter :: nGC_9885 = 89
  integer, parameter :: nGC_77 = 90
  integer, parameter :: nGC_115 = 91
  integer, parameter :: nGC_70 = 92
  integer, parameter :: nGC_72 = 93
  integer, parameter :: nGC_13083 = 94
  integer, parameter :: nGC_9538 = 95
  integer, parameter :: nGC_9535 = 96
  integer, parameter :: nGC_9537 = 97
  integer, parameter :: nGC_I = 98
  integer, parameter :: nGC_9532 = 99
  integer, parameter :: nGC_9764 = 100
  integer, parameter :: nGC_9536 = 101
  integer, parameter :: nGC_87 = 102
  integer, parameter :: nGC_9766 = 103
  integer, parameter :: nGC_9767 = 104
  integer, parameter :: nGC_82 = 105
  integer, parameter :: nGC_9894 = 106
  integer, parameter :: nGC_9631 = 107
  integer, parameter :: nGC_3 = 108
  integer, parameter :: nGC_2 = 109
  integer, parameter :: nGC_1 = 110
  integer, parameter :: nGC_7 = 111
  integer, parameter :: nGC_6 = 112
  integer, parameter :: nGC_5 = 113
  integer, parameter :: nGC_4 = 114
  integer, parameter :: nGC_9 = 115
  integer, parameter :: nGC_8 = 116
  integer, parameter :: nGC_129 = 117
  integer, parameter :: nGC_569 = 118
  integer, parameter :: nGC_53 = 119
  integer, parameter :: nGC_52 = 120
  integer, parameter :: nGC_51 = 121
  integer, parameter :: nGC_50 = 122
  integer, parameter :: nGC_57 = 123
  integer, parameter :: nGC_56 = 124
  integer, parameter :: nGC_55 = 125
  integer, parameter :: nGC_54 = 126
  integer, parameter :: nGC_59 = 127
  integer, parameter :: nGC_58 = 128
  integer, parameter :: nGC_46 = 129
  integer, parameter :: nGC_12 = 130
  integer, parameter :: nGC_9715 = 131
  integer, parameter :: nGC_9717 = 132
  integer, parameter :: nGC_9716 = 133
  integer, parameter :: nGC_9711 = 134
  integer, parameter :: nGC_9713 = 135
  integer, parameter :: nGC_9712 = 136
  integer, parameter :: nGC_10 = 137
  integer, parameter :: nGC_9719 = 138
  integer, parameter :: nGC_9718 = 139
  integer, parameter :: nGC_9498 = 140
  integer, parameter :: nGC_162 = 141
  integer, parameter :: nGC_9497 = 142
  integer, parameter :: nGC_9495 = 143
  integer, parameter :: nGC_9492 = 144
  integer, parameter :: nGC_9493 = 145
  integer, parameter :: nGC_9811 = 146
  integer, parameter :: nGC_9817 = 147
  integer, parameter :: nGC_9814 = 148
  integer, parameter :: nGC_9815 = 149
  integer, parameter :: nGC_9818 = 150
  integer, parameter :: nGC_9819 = 151
  integer, parameter :: nGC_9733 = 152
  integer, parameter :: nGC_19 = 153
  integer, parameter :: nGC_9707 = 154
  integer, parameter :: nGC_9691 = 155
  integer, parameter :: nGC_9692 = 156
  integer, parameter :: nGC_9661 = 157
  integer, parameter :: nGC_9660 = 158
  integer, parameter :: nGC_9663 = 159
  integer, parameter :: nGC_9662 = 160
  integer, parameter :: nGC_9665 = 161
  integer, parameter :: nGC_9664 = 162
  integer, parameter :: nGC_9667 = 163
  integer, parameter :: nGC_9666 = 164
  integer, parameter :: nGC_9668 = 165
  integer, parameter :: nGC_9887 = 166
  integer, parameter :: nGC_9886 = 167
  integer, parameter :: nGC_9880 = 168
  integer, parameter :: nGC_9883 = 169
  integer, parameter :: nGC_60 = 170
  integer, parameter :: nGC_9709 = 171
  integer, parameter :: nGC_48 = 172
  integer, parameter :: nGC_12579 = 173
  integer, parameter :: nGC_9697 = 174
  integer, parameter :: nGC_9867 = 175
  integer, parameter :: nGC_9865 = 176
  integer, parameter :: nGC_9864 = 177
  integer, parameter :: nGC_9862 = 178
  integer, parameter :: nGC_9860 = 179
  integer, parameter :: nGC_65 = 180
  integer, parameter :: nGC_9868 = 181
  integer, parameter :: nGC_12504 = 182
  integer, parameter :: nGC_12503 = 183
  integer, parameter :: nGC_12502 = 184
  integer, parameter :: nGC_12508 = 185
  integer, parameter :: nGC_13053 = 186
  integer, parameter :: nGC_13891 = 187
  integer, parameter :: nGC_9723 = 188
  integer, parameter :: nGC_9566 = 189
  integer, parameter :: nGC_9567 = 190
  integer, parameter :: nGC_9564 = 191
  integer, parameter :: nGC_9565 = 192
  integer, parameter :: nGC_9561 = 193
  integer, parameter :: nGC_9568 = 194
  integer, parameter :: nGC_9569 = 195
  integer, parameter :: nGC_9604 = 196
  integer, parameter :: nGC_17 = 197
  integer, parameter :: nGC_15 = 198
  integer, parameter :: nGC_14 = 199
  integer, parameter :: nGC_13 = 200
  integer, parameter :: nGC_11 = 201
  integer, parameter :: nGC_12620 = 202
  integer, parameter :: nGC_18 = 203
  integer, parameter :: nGC_9690 = 204
  integer, parameter :: nGC_9693 = 205
  integer, parameter :: nGC_9694 = 206
  integer, parameter :: nGC_9695 = 207
  integer, parameter :: nGC_9696 = 208
  integer, parameter :: nGC_9698 = 209
  integer, parameter :: nGC_9699 = 210
  integer, parameter :: nGC_12392 = 211
  integer, parameter :: nGC_9360 = 212
  integer, parameter :: nGC_9361 = 213
  integer, parameter :: nGC_9364 = 214
  integer, parameter :: nGC_9368 = 215
  integer, parameter :: nGC_62 = 216
  integer, parameter :: nGC_9598 = 217
  integer, parameter :: nGC_9592 = 218
  integer, parameter :: nGC_9595 = 219
  integer, parameter :: nGC_9594 = 220
  integer, parameter :: nGC_9720 = 221
  integer, parameter :: nGC_9624 = 222
  integer, parameter :: nGC_9626 = 223
  integer, parameter :: nGC_9620 = 224
  integer, parameter :: nGC_14174 = 225
  integer, parameter :: nGC_14175 = 226
  integer, parameter :: nGC_9437 = 227
  integer, parameter :: nGC_9628 = 228
  integer, parameter :: nGC_135 = 229
  integer, parameter :: nGC_134 = 230
  integer, parameter :: nGC_137 = 231
  integer, parameter :: nGC_136 = 232
  integer, parameter :: nGC_131 = 233
  integer, parameter :: nGC_130 = 234
  integer, parameter :: nGC_9748 = 235
  integer, parameter :: nGC_9749 = 236
  integer, parameter :: nGC_9746 = 237
  integer, parameter :: nGC_9745 = 238
  integer, parameter :: nGC_9743 = 239
  integer, parameter :: nGC_9741 = 240
  integer, parameter :: nGC_9484 = 241
  integer, parameter :: nGC_9829 = 242
  integer, parameter :: nGC_9823 = 243
  integer, parameter :: nGC_9821 = 244
  integer, parameter :: nGC_9820 = 245
  integer, parameter :: nGC_9826 = 246
  integer, parameter :: nGC_9824 = 247
  integer, parameter :: nGC_95 = 248
  integer, parameter :: nGC_9487 = 249
  integer, parameter :: nGC_12621 = 250
  integer, parameter :: nGC_9279 = 251
  integer, parameter :: nGC_9486 = 252
  integer, parameter :: nGC_13716 = 253
  integer, parameter :: nGC_125 = 254
  integer, parameter :: nGC_63 = 255
  integer, parameter :: nGC_9895 = 256
  integer, parameter :: nGC_9529 = 257
  integer, parameter :: nGC_9522 = 258
  integer, parameter :: nGC_9523 = 259
  integer, parameter :: nGC_9520 = 260
  integer, parameter :: nGC_9521 = 261
  integer, parameter :: nGC_9526 = 262
  integer, parameter :: nGC_9527 = 263
  integer, parameter :: nGC_9524 = 264
  integer, parameter :: nGC_9525 = 265
  integer, parameter :: nGC_223 = 266
  integer, parameter :: nGC_227 = 267
  integer, parameter :: nGC_9501 = 268
  integer, parameter :: nGC_9725 = 269
  integer, parameter :: nGC_MWp = 270
  integer, parameter :: nGC_9724 = 271
  integer, parameter :: nGC_16716 = 272
  integer, parameter :: nGC_12532 = 273
  integer, parameter :: nGC_12533 = 274
  integer, parameter :: nGC_12666 = 275
  integer, parameter :: nGC_12219 = 276
  integer, parameter :: nGC_9726 = 277
  integer, parameter :: nGC_12216 = 278
  integer, parameter :: nGC_12211 = 279
  integer, parameter :: nGC_12213 = 280
  integer, parameter :: nGC_9794 = 281
  integer, parameter :: nGC_9797 = 282
  integer, parameter :: nGC_9796 = 283
  integer, parameter :: nGC_9791 = 284
  integer, parameter :: nGC_9790 = 285
  integer, parameter :: nGC_9558 = 286
  integer, parameter :: nGC_9555 = 287
  integer, parameter :: nGC_9552 = 288
  integer, parameter :: nGC_357 = 289
  integer, parameter :: nGC_12068 = 290
  integer, parameter :: nGC_1639 = 291
  integer, parameter :: nGC_9386 = 292
  integer, parameter :: nGC_9384 = 293
  integer, parameter :: nGC_9383 = 294
  integer, parameter :: nGC_9380 = 295
  integer, parameter :: nGC_9677 = 296
  integer, parameter :: nGC_44 = 297
  integer, parameter :: nGC_45 = 298
  integer, parameter :: nGC_12262 = 299
  integer, parameter :: nGC_40 = 300
  integer, parameter :: nGC_41 = 301
  integer, parameter :: nGC_42 = 302
  integer, parameter :: nGC_43 = 303
  integer, parameter :: nGC_9703 = 304
  integer, parameter :: nGC_9700 = 305
  integer, parameter :: nGC_9701 = 306
  integer, parameter :: nGC_681 = 307
  integer, parameter :: nGC_9705 = 308
  integer, parameter :: nGC_9708 = 309
  integer, parameter :: nGC_9622 = 310
  integer, parameter :: nGC_9673 = 311
  integer, parameter :: nGC_9319 = 312
  integer, parameter :: nGC_9670 = 313
  integer, parameter :: nGC_9311 = 314
  integer, parameter :: nGC_9313 = 315
  integer, parameter :: nGC_9315 = 316
  integer, parameter :: nGC_49 = 317
  integer, parameter :: nGC_9316 = 318
  integer, parameter :: nGC_80 = 319
  integer, parameter :: nGC_13765 = 320
  integer, parameter :: nGC_1129 = 321
  integer, parameter :: nGC_141 = 322
  integer, parameter :: nGC_12115 = 323
  integer, parameter :: nGC_9776 = 324
  integer, parameter :: nGC_9775 = 325
  integer, parameter :: nGC_9899 = 326
  integer, parameter :: nGC_9773 = 327
  integer, parameter :: nGC_9772 = 328
  integer, parameter :: nGC_9770 = 329
  integer, parameter :: nGC_9892 = 330
  integer, parameter :: nGC_9893 = 331
  integer, parameter :: nGC_9674 = 332
  integer, parameter :: nGC_9891 = 333
  integer, parameter :: nGC_9896 = 334
  integer, parameter :: nGC_9897 = 335
  integer, parameter :: nGC_9779 = 336
  integer, parameter :: nGC_9778 = 337
  integer, parameter :: nGC_133 = 338
  integer, parameter :: nGC_132 = 339
  integer, parameter :: nGC_13035 = 340
  integer, parameter :: nGC_9874 = 341
  integer, parameter :: nGC_9876 = 342
  integer, parameter :: nGC_9877 = 343
  integer, parameter :: nGC_9870 = 344
  integer, parameter :: nGC_9871 = 345
  integer, parameter :: nGC_9872 = 346
  integer, parameter :: nGC_9873 = 347
  integer, parameter :: nGC_9324 = 348
  integer, parameter :: nGC_9878 = 349
  integer, parameter :: nGC_9879 = 350
  integer, parameter :: nGC_160 = 351
  integer, parameter :: nGC_12166 = 352
  integer, parameter :: nGC_12965 = 353
  integer, parameter :: nGC_12964 = 354
  integer, parameter :: nGC_28 = 355
  integer, parameter :: nGC_138 = 356
  integer, parameter :: nGC_61 = 357
  integer, parameter :: nGC_29 = 358
  integer, parameter :: nGC_144 = 359
  integer, parameter :: nGC_12161 = 360
  integer, parameter :: nGC_12249 = 361
  integer, parameter :: nGC_9739 = 362
  integer, parameter :: nGC_9513 = 363
  integer, parameter :: nGC_9511 = 364
  integer, parameter :: nGC_9510 = 365
  integer, parameter :: nGC_9516 = 366
  integer, parameter :: nGC_9310 = 367
  integer, parameter :: nGC_12244 = 368
  integer, parameter :: nGC_21 = 369
  integer, parameter :: nGC_9727 = 370
  integer, parameter :: nGC_12794 = 371
  integer, parameter :: nGC_12242 = 372
  integer, parameter :: nGC_13548 = 373
  integer, parameter :: nGC_12240 = 374
  integer, parameter :: nGC_146 = 375
  integer, parameter :: nGC_9373 = 376
  integer, parameter :: nGC_9372 = 377
  integer, parameter :: nGC_983 = 378
  integer, parameter :: nGC_163 = 379
  integer, parameter :: nGC_12229 = 380
  integer, parameter :: nGC_9376 = 381
  integer, parameter :: nGC_161 = 382
  integer, parameter :: nGC_9359 = 383
  integer, parameter :: nGC_9358 = 384
  integer, parameter :: nGC_154 = 385
  integer, parameter :: nGC_9588 = 386
  integer, parameter :: nGC_9589 = 387
  integer, parameter :: nGC_140 = 388
  integer, parameter :: nGC_99 = 389
  integer, parameter :: nGC_98 = 390
  integer, parameter :: nGC_97 = 391
  integer, parameter :: nGC_96 = 392
  integer, parameter :: nGC_9582 = 393
  integer, parameter :: nGC_9583 = 394
  integer, parameter :: nGC_93 = 395
  integer, parameter :: nGC_92 = 396
  integer, parameter :: nGC_91 = 397
  integer, parameter :: nGC_90 = 398
  integer, parameter :: nGC_9812 = 399
  integer, parameter :: nGC_9378 = 400
  integer, parameter :: nGC_9325 = 401
  integer, parameter :: nGC_11986 = 402
  integer, parameter :: nGC_11989 = 403
  integer, parameter :: nGC_9900 = 404
  integer, parameter :: nGC_9810 = 405
  integer, parameter :: nGC_75 = 406
  integer, parameter :: nGC_74 = 407
  integer, parameter :: nGC_76 = 408
  integer, parameter :: nGC_71 = 409
  integer, parameter :: nGC_9623 = 410
  integer, parameter :: nGC_73 = 411
  integer, parameter :: nGC_12133 = 412
  integer, parameter :: nGC_12134 = 413
  integer, parameter :: nGC_78 = 414
  integer, parameter :: nGC_9630 = 415
  integer, parameter :: nGC_79 = 416
  integer, parameter :: nGC_9636 = 417
  integer, parameter :: nGC_9637 = 418
  integer, parameter :: nGC_9494 = 419
  integer, parameter :: nGC_9635 = 420
  integer, parameter :: nGC_9827 = 421
  integer, parameter :: nGC_9638 = 422
  integer, parameter :: nGC_9639 = 423
  integer, parameter :: nGC_9338 = 424
  integer, parameter :: nGC_100 = 425
  integer, parameter :: nGC_101 = 426
  integer, parameter :: nGC_102 = 427
  integer, parameter :: nGC_103 = 428
  integer, parameter :: nGC_104 = 429
  integer, parameter :: nGC_105 = 430
  integer, parameter :: nGC_106 = 431
  integer, parameter :: nGC_107 = 432
  integer, parameter :: nGC_108 = 433
  integer, parameter :: nGC_109 = 434
  integer, parameter :: nGC_9731 = 435
  integer, parameter :: nGC_9730 = 436
  integer, parameter :: nGC_9737 = 437
  integer, parameter :: nGC_9735 = 438
  integer, parameter :: nGC_9734 = 439
  integer, parameter :: nGC_9580 = 440
  integer, parameter :: nGC_9838 = 441
  integer, parameter :: nGC_9839 = 442
  integer, parameter :: nGC_9436 = 443
  integer, parameter :: nGC_9830 = 444
  integer, parameter :: nGC_9831 = 445
  integer, parameter :: nGC_9832 = 446
  integer, parameter :: nGC_9833 = 447
  integer, parameter :: nGC_9834 = 448
  integer, parameter :: nGC_9835 = 449
  integer, parameter :: nGC_9836 = 450
  integer, parameter :: nGC_9721 = 451
  integer, parameter :: nGC_3877 = 452
  integer, parameter :: nGC_16561 = 453
  integer, parameter :: nGC_9647 = 454
  integer, parameter :: nGC_9645 = 455
  integer, parameter :: nGC_9643 = 456
  integer, parameter :: nGC_9642 = 457
  integer, parameter :: nGC_9640 = 458
  integer, parameter :: nGC_12009 = 459
  integer, parameter :: nGC_13645 = 460
  integer, parameter :: nGC_9321 = 461
  integer, parameter :: nGC_13646 = 462
  integer, parameter :: nGC_12980 = 463
  integer, parameter :: nGC_9341 = 464
  integer, parameter :: nGC_123 = 465
  integer, parameter :: nGC_9607 = 466
  integer, parameter :: nGC_13452 = 467
  integer, parameter :: nGC_13453 = 468
  integer, parameter :: nGC_13454 = 469
  integer, parameter :: nGC_12595 = 470
  integer, parameter :: nGC_9344 = 471
  integer, parameter :: nGC_20 = 472
  integer, parameter :: nGC_9345 = 473
  integer, parameter :: nGC_9780 = 474
  integer, parameter :: nGC_9781 = 475
  integer, parameter :: nGC_219 = 476
  integer, parameter :: nGC_12859 = 477
  integer, parameter :: nGC_14349 = 478
  integer, parameter :: nGC_9505 = 479
  integer, parameter :: nGC_12521 = 480
  integer, parameter :: nGC_121 = 481
  integer, parameter :: nGC_12281 = 482
  integer, parameter :: nGC_9898 = 483
  integer, parameter :: nGC_9298 = 484
  integer, parameter :: nGC_9782 = 485
  integer, parameter :: nGC_9787 = 486
  integer, parameter :: nGC_9784 = 487
  integer, parameter :: nGC_9785 = 488
  integer, parameter :: nGC_13714 = 489
  integer, parameter :: nGC_9548 = 490
  integer, parameter :: nGC_9549 = 491
  integer, parameter :: nGC_12496 = 492
  integer, parameter :: nGC_9544 = 493
  integer, parameter :: nGC_9545 = 494
  integer, parameter :: nGC_9546 = 495
  integer, parameter :: nGC_9547 = 496
  integer, parameter :: nGC_9540 = 497
  integer, parameter :: nGC_9541 = 498
  integer, parameter :: nGC_9542 = 499
  integer, parameter :: nGC_9543 = 500
  integer, parameter :: nGC_9507 = 501
  integer, parameter :: nGC_13711 = 502
  integer, parameter :: nGC_9517 = 503
  integer, parameter :: nGC_12735 = 504
  integer, parameter :: nGC_9514 = 505
  integer, parameter :: nGC_9301 = 506
  integer, parameter :: nGC_94 = 507
  integer, parameter :: nGC_39 = 508
  integer, parameter :: nGC_38 = 509
  integer, parameter :: nGC_9788 = 510
  integer, parameter :: nGC_12171 = 511
  integer, parameter :: nGC_31 = 512
  integer, parameter :: nGC_30 = 513
  integer, parameter :: nGC_33 = 514
  integer, parameter :: nGC_32 = 515
  integer, parameter :: nGC_35 = 516
  integer, parameter :: nGC_47 = 517
  integer, parameter :: nGC_36 = 518
  integer, parameter :: nGC_9306 = 519
  integer, parameter :: nGC_145 = 520
  integer, parameter :: nGC_142 = 521
  integer, parameter :: nGC_13905 = 522
  integer, parameter :: nGC_148 = 523
  integer, parameter :: nGC_149 = 524
  integer, parameter :: nGC_9308 = 525
  integer, parameter :: nGC_9309 = 526
  integer, parameter :: nGC_12188 = 527
  integer, parameter :: nGC_9789 = 528
  integer, parameter :: nGC_9889 = 529
  integer, parameter :: nGC_12185 = 530
  integer, parameter :: nGC_12290 = 531
  integer, parameter :: nGC_9286 = 532
  integer, parameter :: nGC_9283 = 533
  integer, parameter :: nGC_9282 = 534
  integer, parameter :: nGC_11954 = 535
  integer, parameter :: nGC_9837 = 536
  integer, parameter :: nGC_11952 = 537
  integer, parameter :: nGC_119 = 538
  integer, parameter :: nGC_9679 = 539
  integer, parameter :: nGC_12045 = 540
  integer, parameter :: nGC_67 = 541
  integer, parameter :: nGC_12210 = 542
  integer, parameter :: nGC_13605 = 543
  integer, parameter :: nGC_9609 = 544
  integer, parameter :: nGC_9608 = 545
  integer, parameter :: nGC_9760 = 546
  integer, parameter :: nGC_9761 = 547
  integer, parameter :: nGC_9763 = 548
  integer, parameter :: nGC_9601 = 549
  integer, parameter :: nGC_9768 = 550
  integer, parameter :: nGC_9606 = 551
  integer, parameter :: nGC_MI = 552
  integer, parameter :: nGC_MH = 553
  integer, parameter :: nGC_MM = 554
  integer, parameter :: nGC_MC = 555
  integer, parameter :: nGC_MB = 556
  integer, parameter :: nGC_12043 = 557
  integer, parameter :: nGC_ME = 558
  integer, parameter :: nGC_MD = 559
  integer, parameter :: nGC_9841 = 560
  integer, parameter :: nGC_MZ = 561
  integer, parameter :: nGC_9842 = 562
  integer, parameter :: nGC_9845 = 563
  integer, parameter :: nGC_9844 = 564
  integer, parameter :: nGC_9847 = 565
  integer, parameter :: nGC_9648 = 566
  integer, parameter :: nGC_MS = 567
  integer, parameter :: nGC_9848 = 568
  integer, parameter :: nGC_MW = 569
  integer, parameter :: nGC_MU = 570
  integer, parameter :: nGC_MT = 571
  integer, parameter :: nGC_9751 = 572
  integer, parameter :: nGC_13892 = 573
  integer, parameter :: nGC_127 = 574
  integer, parameter :: nGC_9581 = 575
  integer, parameter :: nGC_124 = 576
  integer, parameter :: nGC_12126 = 577
  integer, parameter :: nGC_16517 = 578
  integer, parameter :: nGC_9385 = 579
  integer, parameter :: nGC_116 = 580
  integer, parameter :: nGC_14472 = 581
  integer, parameter :: nGC_14470 = 582
  integer, parameter :: nGC_122 = 583
  integer, parameter :: nGC_9890 = 584
  integer, parameter :: nGC_69 = 585
  integer, parameter :: nGC_9563 = 586
  integer, parameter :: nGC_16518 = 587
  integer, parameter :: nGC_MW_GF = 588
  integer, parameter :: nGC_12302 = 589
  integer, parameter :: nGC_12307 = 590
  integer, parameter :: nGC_9757 = 591
  integer, parameter :: nGC_12305 = 592
  integer, parameter :: nGC_9518 = 593
  integer, parameter :: nGC_3871 = 594
  integer, parameter :: nGC_9500 = 595
  integer, parameter :: nGC_9759 = 596
  integer, parameter :: nGC_9502 = 597
  integer, parameter :: nGC_9503 = 598
  integer, parameter :: nGC_9504 = 599
  integer, parameter :: nGC_9675 = 600
  integer, parameter :: nGC_9506 = 601
  integer, parameter :: nGC_9611 = 602
  integer, parameter :: nGC_9508 = 603
  integer, parameter :: nGC_9509 = 604
  integer, parameter :: nGC_9612 = 605
  integer, parameter :: nGC_9355 = 606
  integer, parameter :: nGC_249 = 607
  integer, parameter :: nGC_114 = 608
  integer, parameter :: nGC_13808 = 609
  integer, parameter :: nGC_34 = 610
  integer, parameter :: nGC_9616 = 611
  integer, parameter :: nGC_9769 = 612
  integer, parameter :: nGC_12414 = 613
  integer, parameter :: nGC_13807 = 614
  integer, parameter :: nGC_12006 = 615
  integer, parameter :: nGC_9649 = 616
  integer, parameter :: nGC_MTA = 617
  integer, parameter :: nGC_12604 = 618
  integer, parameter :: nGC_12230 = 619
  integer, parameter :: nGC_12274 = 620
  integer, parameter :: nGC_9357 = 621
  integer, parameter :: nGC_13638 = 622
  integer, parameter :: nGC_9840 = 623
  integer, parameter :: nGC_9728 = 624
  integer, parameter :: nGC_9348 = 625
  integer, parameter :: nGC_9349 = 626
  integer, parameter :: nGC_14429 = 627
  integer, parameter :: nGC_9342 = 628
  integer, parameter :: nGC_9340 = 629
  integer, parameter :: nGC_183 = 630
  integer, parameter :: nGC_9346 = 631
  integer, parameter :: nGC_9347 = 632
  integer, parameter :: nGC_9432 = 633
  integer, parameter :: nGC_9433 = 634
  integer, parameter :: nGC_88 = 635
  integer, parameter :: nGC_139 = 636
  integer, parameter :: nGC_12738 = 637
  integer, parameter :: nGC_89 = 638
  integer, parameter :: nGC_37 = 639
  integer, parameter :: nGC_12732 = 640
  integer, parameter :: nGC_12927 = 641
  integer, parameter :: nGC_9356 = 642
  integer, parameter :: nGC_84 = 643
  integer, parameter :: nGC_86 = 644
  integer, parameter :: nGC_12926 = 645
  integer, parameter :: nGC_MZp = 646
  integer, parameter :: nGC_12925 = 647
  integer, parameter :: nGC_11995 = 648
  integer, parameter :: nGC_12986 = 649
  integer, parameter :: nGC_9458 = 650
  integer, parameter :: nGC_11998 = 651
  integer, parameter :: nGC_66 = 652
  integer, parameter :: nGC_117 = 653
  integer, parameter :: nGC_64 = 654
  integer, parameter :: nGC_147 = 655
  integer, parameter :: nGC_12040 = 656
  integer, parameter :: nGC_12041 = 657
  integer, parameter :: nGC_12042 = 658
  integer, parameter :: nGC_9336 = 659
  integer, parameter :: nGC_9351 = 660
  integer, parameter :: nGC_9327 = 661
  integer, parameter :: nGC_12125 = 662
  integer, parameter :: nGC_9305 = 663
  integer, parameter :: nGC_12928 = 664
  integer, parameter :: nGC_9300 = 665
  integer, parameter :: nGC_110 = 666
  integer, parameter :: nGC_9459 = 667
  integer, parameter :: nGC_113 = 668
  integer, parameter :: nGC_143 = 669
  integer, parameter :: nGC_112 = 670
  integer, parameter :: nGC_9480 = 671
  integer, parameter :: nGC_9483 = 672
  integer, parameter :: nGC_9482 = 673
  integer, parameter :: nGC_9485 = 674
  integer, parameter :: nGC_111 = 675
  integer, parameter :: nGC_9339 = 676
  integer, parameter :: nGC_12975 = 677
  integer, parameter :: nGC_9337 = 678
  integer, parameter :: nGC_9488 = 679
  integer, parameter :: nGC_9335 = 680
  integer, parameter :: nGC_9334 = 681
  integer, parameter :: nGC_9333 = 682
  integer, parameter :: nGC_9331 = 683
  integer, parameter :: nGC_9330 = 684
  integer, parameter :: nGC_9804 = 685
  integer, parameter :: nGC_9807 = 686
  integer, parameter :: nGC_9801 = 687
  integer, parameter :: nGC_13748 = 688
  integer, parameter :: nGC_16558 = 689
  integer, parameter :: nGC_3865 = 690
  integer, parameter :: nGC_9651 = 691
  integer, parameter :: nGC_13636 = 692
  integer, parameter :: nGC_13633 = 693
  integer, parameter :: nGC_13118 = 694
  integer, parameter :: nGC_13290 = 695
  integer, parameter :: nGC_809 = 696
  integer, parameter :: nGC_13116 = 697
  integer, parameter :: nGC_13113 = 698
  integer, parameter :: nGC_13056 = 699
  integer, parameter :: nGC_12866 = 700
  integer, parameter :: nGC_12865 = 701
  integer, parameter :: nGC_12868 = 702
  integer, parameter :: nGC_13180 = 703
  integer, parameter :: nGC_12511 = 704
  integer, parameter :: nGC_9426 = 705
  integer, parameter :: nGC_13025 = 706
  integer, parameter :: nGC_16812 = 707
  integer, parameter :: nGC_18125 = 708
  integer, parameter :: nGC_12760 = 709
  integer, parameter :: nGC_12762 = 710
  integer, parameter :: nGC_12767 = 711
  integer, parameter :: nGC_12768 = 712
  integer, parameter :: nGC_13360 = 713
  integer, parameter :: nGC_13367 = 714
  integer, parameter :: nGC_9350 = 715
  integer, parameter :: nGC_9476 = 716
  integer, parameter :: nGC_9477 = 717
  integer, parameter :: nGC_9578 = 718
  integer, parameter :: nGC_9570 = 719
  integer, parameter :: nGC_16722 = 720
  integer, parameter :: nGC_16727 = 721
  integer, parameter :: nGC_12344 = 722
  integer, parameter :: nGC_12341 = 723
  integer, parameter :: nGC_12340 = 724
  integer, parameter :: nGC_12083 = 725
  integer, parameter :: nGC_12086 = 726
  integer, parameter :: nGC_9682 = 727
  integer, parameter :: nGC_9680 = 728
  integer, parameter :: nGC_9686 = 729
  integer, parameter :: nGC_12247 = 730
  integer, parameter :: nGC_9371 = 731
  integer, parameter :: nGC_9370 = 732
  integer, parameter :: nGC_9377 = 733
  integer, parameter :: nGC_9375 = 734
  integer, parameter :: nGC_9374 = 735
  integer, parameter :: nGC_9379 = 736
  integer, parameter :: nGC_1819 = 737
  integer, parameter :: nGC_9562 = 738
  integer, parameter :: nGC_12645 = 739
  integer, parameter :: nGC_9294 = 740
  integer, parameter :: nGC_9295 = 741
  integer, parameter :: nGC_11968 = 742
  integer, parameter :: nGC_11969 = 743
  integer, parameter :: nGC_9290 = 744
  integer, parameter :: nGC_725 = 745
  integer, parameter :: nGC_9292 = 746
  integer, parameter :: nGC_9293 = 747
  integer, parameter :: nGC_11961 = 748
  integer, parameter :: nGC_11966 = 749
  integer, parameter :: nGC_11967 = 750
  integer, parameter :: nGC_12012 = 751
  integer, parameter :: nGC_12011 = 752
  integer, parameter :: nGC_19094 = 753
  integer, parameter :: nGC_9441 = 754
  integer, parameter :: nGC_9750 = 755
  integer, parameter :: nGC_9753 = 756
  integer, parameter :: nGC_9855 = 757
  integer, parameter :: nGC_9852 = 758
  integer, parameter :: nGC_14109 = 759
  integer, parameter :: nGC_12946 = 760
  integer, parameter :: nGC_12949 = 761
  integer, parameter :: nGC_13063 = 762
  integer, parameter :: nGC_13062 = 763
  integer, parameter :: nGC_973 = 764
  integer, parameter :: nGC_12335 = 765
  integer, parameter :: nGC_12332 = 766
  integer, parameter :: nGC_12330 = 767
  integer, parameter :: nGC_12331 = 768
  integer, parameter :: nGC_12338 = 769
  integer, parameter :: nGC_9539 = 770
  integer, parameter :: nGC_9534 = 771
  integer, parameter :: nGC_13080 = 772
  integer, parameter :: nGC_9531 = 773
  integer, parameter :: nGC_9530 = 774
  integer, parameter :: nGC_9533 = 775
  integer, parameter :: nGC_12830 = 776
  integer, parameter :: nGC_12426 = 777
  integer, parameter :: nGC_12541 = 778
  integer, parameter :: nGC_12540 = 779
  integer, parameter :: nGC_12428 = 780
  integer, parameter :: nGC_26058 = 781
  integer, parameter :: nGC_12612 = 782
  integer, parameter :: nGC_12203 = 783
  integer, parameter :: nGC_12200 = 784
  integer, parameter :: nGC_12207 = 785
  integer, parameter :: nGC_12757 = 786
  integer, parameter :: nGC_13337 = 787
  integer, parameter :: nGC_13339 = 788
  integer, parameter :: nGC_13338 = 789
  integer, parameter :: nGC_9381 = 790
  integer, parameter :: nGC_9409 = 791
  integer, parameter :: nGC_9408 = 792
  integer, parameter :: nGC_15253 = 793
  integer, parameter :: nGC_9400 = 794
  integer, parameter :: nGC_9407 = 795
  integer, parameter :: nGC_9406 = 796
  integer, parameter :: nGC_15256 = 797
  integer, parameter :: nGC_15257 = 798
  integer, parameter :: nGC_12721 = 799
  integer, parameter :: nGC_12723 = 800
  integer, parameter :: nGC_16717 = 801
  integer, parameter :: nGC_9391 = 802
  integer, parameter :: nGC_9390 = 803
  integer, parameter :: nGC_9393 = 804
  integer, parameter :: nGC_9392 = 805
  integer, parameter :: nGC_9395 = 806
  integer, parameter :: nGC_9394 = 807
  integer, parameter :: nGC_9397 = 808
  integer, parameter :: nGC_605 = 809
  integer, parameter :: nGC_601 = 810
  integer, parameter :: nGC_12118 = 811
  integer, parameter :: nGC_12050 = 812
  integer, parameter :: nGC_12116 = 813
  integer, parameter :: nGC_12117 = 814
  integer, parameter :: nGC_12110 = 815
  integer, parameter :: nGC_9714 = 816
  integer, parameter :: nGC_9710 = 817
  integer, parameter :: nGC_9328 = 818
  integer, parameter :: nGC_9329 = 819
  integer, parameter :: nGC_515 = 820
  integer, parameter :: nGC_9499 = 821
  integer, parameter :: nGC_9496 = 822
  integer, parameter :: nGC_9326 = 823
  integer, parameter :: nGC_9320 = 824
  integer, parameter :: nGC_9322 = 825
  integer, parameter :: nGC_9323 = 826
  integer, parameter :: nGC_9813 = 827
  integer, parameter :: nGC_12151 = 828
  integer, parameter :: nGC_9816 = 829
  integer, parameter :: nGC_1137 = 830
  integer, parameter :: nGC_12488 = 831
  integer, parameter :: nGC_12399 = 832
  integer, parameter :: nGC_9669 = 833
  integer, parameter :: nGC_9881 = 834
  integer, parameter :: nGC_12571 = 835
  integer, parameter :: nGC_12572 = 836
  integer, parameter :: nGC_839 = 837
  integer, parameter :: nGC_12576 = 838
  integer, parameter :: nGC_9866 = 839
  integer, parameter :: nGC_12209 = 840
  integer, parameter :: nGC_9863 = 841
  integer, parameter :: nGC_9861 = 842
  integer, parameter :: nGC_9869 = 843
  integer, parameter :: nGC_12871 = 844
  integer, parameter :: nGC_9318 = 845
  integer, parameter :: nGC_13871 = 846
  integer, parameter :: nGC_12878 = 847
  integer, parameter :: nGC_14550 = 848
  integer, parameter :: nGC_14552 = 849
  integer, parameter :: nGC_14553 = 850
  integer, parameter :: nGC_13375 = 851
  integer, parameter :: nGC_12289 = 852
  integer, parameter :: nGC_9449 = 853
  integer, parameter :: nGC_9448 = 854
  integer, parameter :: nGC_9560 = 855
  integer, parameter :: nGC_9445 = 856
  integer, parameter :: nGC_9444 = 857
  integer, parameter :: nGC_9447 = 858
  integer, parameter :: nGC_9446 = 859
  integer, parameter :: nGC_13177 = 860
  integer, parameter :: nGC_9440 = 861
  integer, parameter :: nGC_9443 = 862
  integer, parameter :: nGC_9442 = 863
  integer, parameter :: nGC_301 = 864
  integer, parameter :: nGC_14910 = 865
  integer, parameter :: nGC_12373 = 866
  integer, parameter :: nGC_12371 = 867
  integer, parameter :: nGC_12473 = 868
  integer, parameter :: nGC_12475 = 869
  integer, parameter :: nGC_12474 = 870
  integer, parameter :: nGC_12476 = 871
  integer, parameter :: nGC_12096 = 872
  integer, parameter :: nGC_12094 = 873
  integer, parameter :: nGC_12152 = 874
  integer, parameter :: nGC_12153 = 875
  integer, parameter :: nGC_12622 = 876
  integer, parameter :: nGC_12623 = 877
  integer, parameter :: nGC_13368 = 878
  integer, parameter :: nGC_12154 = 879
  integer, parameter :: nGC_12253 = 880
  integer, parameter :: nGC_9299 = 881
  integer, parameter :: nGC_12256 = 882
  integer, parameter :: nGC_12393 = 883
  integer, parameter :: nGC_12394 = 884
  integer, parameter :: nGC_12396 = 885
  integer, parameter :: nGC_9362 = 886
  integer, parameter :: nGC_9363 = 887
  integer, parameter :: nGC_9419 = 888
  integer, parameter :: nGC_9365 = 889
  integer, parameter :: nGC_9366 = 890
  integer, parameter :: nGC_9367 = 891
  integer, parameter :: nGC_9369 = 892
  integer, parameter :: nGC_9599 = 893
  integer, parameter :: nGC_12659 = 894
  integer, parameter :: nGC_13363 = 895
  integer, parameter :: nGC_9593 = 896
  integer, parameter :: nGC_9591 = 897
  integer, parameter :: nGC_9590 = 898
  integer, parameter :: nGC_9597 = 899
  integer, parameter :: nGC_9596 = 900
  integer, parameter :: nGC_639 = 901
  integer, parameter :: nGC_9625 = 902
  integer, parameter :: nGC_9627 = 903
  integer, parameter :: nGC_9621 = 904
  integer, parameter :: nGC_9629 = 905
  integer, parameter :: nGC_13954 = 906
  integer, parameter :: nGC_23976 = 907
  integer, parameter :: nGC_25159 = 908
  integer, parameter :: nGC_9747 = 909
  integer, parameter :: nGC_9744 = 910
  integer, parameter :: nGC_9742 = 911
  integer, parameter :: nGC_9740 = 912
  integer, parameter :: nGC_15508 = 913
  integer, parameter :: nGC_15509 = 914
  integer, parameter :: nGC_9828 = 915
  integer, parameter :: nGC_9822 = 916
  integer, parameter :: nGC_27660 = 917
  integer, parameter :: nGC_9825 = 918
  integer, parameter :: nGC_13648 = 919
  integer, parameter :: nGC_14517 = 920
  integer, parameter :: nGC_13717 = 921
  integer, parameter :: nGC_12448 = 922
  integer, parameter :: nGC_9528 = 923
  integer, parameter :: nGC_13134 = 924
  integer, parameter :: nGC_11972 = 925
  integer, parameter :: nGC_12845 = 926
  integer, parameter :: nGC_14428 = 927
  integer, parameter :: nGC_12431 = 928
  integer, parameter :: nGC_12433 = 929
  integer, parameter :: nGC_12534 = 930
  integer, parameter :: nGC_12535 = 931
  integer, parameter :: nGC_13430 = 932
  integer, parameter :: nGC_12194 = 933
  integer, parameter :: nGC_12218 = 934
  integer, parameter :: nGC_12190 = 935
  integer, parameter :: nGC_12191 = 936
  integer, parameter :: nGC_12741 = 937
  integer, parameter :: nGC_12669 = 938
  integer, parameter :: nGC_9416 = 939
  integer, parameter :: nGC_9417 = 940
  integer, parameter :: nGC_9414 = 941
  integer, parameter :: nGC_9415 = 942
  integer, parameter :: nGC_9412 = 943
  integer, parameter :: nGC_9798 = 944
  integer, parameter :: nGC_9410 = 945
  integer, parameter :: nGC_9411 = 946
  integer, parameter :: nGC_9795 = 947
  integer, parameter :: nGC_9418 = 948
  integer, parameter :: nGC_9792 = 949
  integer, parameter :: nGC_9559 = 950
  integer, parameter :: nGC_9557 = 951
  integer, parameter :: nGC_9556 = 952
  integer, parameter :: nGC_9554 = 953
  integer, parameter :: nGC_9553 = 954
  integer, parameter :: nGC_9551 = 955
  integer, parameter :: nGC_9550 = 956
  integer, parameter :: nGC_12282 = 957
  integer, parameter :: nGC_12286 = 958
  integer, parameter :: nGC_12284 = 959
  integer, parameter :: nGC_12322 = 960
  integer, parameter :: nGC_12325 = 961
  integer, parameter :: nGC_12327 = 962
  integer, parameter :: nGC_12326 = 963
  integer, parameter :: nGC_9771 = 964
  integer, parameter :: nGC_9388 = 965
  integer, parameter :: nGC_9389 = 966
  integer, parameter :: nGC_12062 = 967
  integer, parameter :: nGC_9387 = 968
  integer, parameter :: nGC_12061 = 969
  integer, parameter :: nGC_9382 = 970
  integer, parameter :: nGC_12065 = 971
  integer, parameter :: nGC_12105 = 972
  integer, parameter :: nGC_12104 = 973
  integer, parameter :: nGC_12261 = 974
  integer, parameter :: nGC_21302 = 975
  integer, parameter :: nGC_9702 = 976
  integer, parameter :: nGC_9706 = 977
  integer, parameter :: nGC_9704 = 978
  integer, parameter :: nGC_689 = 979
  integer, parameter :: nGC_1831 = 980
  integer, parameter :: nGC_9312 = 981
  integer, parameter :: nGC_9314 = 982
  integer, parameter :: nGC_9317 = 983
  integer, parameter :: nGC_13768 = 984
  integer, parameter :: nGC_14490 = 985
  integer, parameter :: nGC_14493 = 986
  integer, parameter :: nGC_14494 = 987
  integer, parameter :: nGC_9777 = 988
  integer, parameter :: nGC_14350 = 989
  integer, parameter :: nGC_9774 = 990
  integer, parameter :: nGC_9678 = 991
  integer, parameter :: nGC_9676 = 992
  integer, parameter :: nGC_9672 = 993
  integer, parameter :: nGC_12563 = 994
  integer, parameter :: nGC_9875 = 995
  integer, parameter :: nGC_14991 = 996
  integer, parameter :: nGC_12967 = 997
  integer, parameter :: nGC_12966 = 998
  integer, parameter :: nGC_21289 = 999
  integer, parameter :: nGC_14549 = 1000
  integer, parameter :: nGC_9421 = 1001
  integer, parameter :: nGC_14469 = 1002
  integer, parameter :: nGC_13380 = 1003
  integer, parameter :: nGC_9512 = 1004
  integer, parameter :: nGC_12493 = 1005
  integer, parameter :: nGC_9515 = 1006
  integer, parameter :: nGC_9452 = 1007
  integer, parameter :: nGC_9453 = 1008
  integer, parameter :: nGC_9450 = 1009
  integer, parameter :: nGC_9451 = 1010
  integer, parameter :: nGC_9456 = 1011
  integer, parameter :: nGC_9457 = 1012
  integer, parameter :: nGC_12499 = 1013
  integer, parameter :: nGC_12498 = 1014
  integer, parameter :: nGC_14908 = 1015
  integer, parameter :: nGC_12797 = 1016
  integer, parameter :: nGC_14907 = 1017
  integer, parameter :: nGC_12365 = 1018
  integer, parameter :: nGC_12366 = 1019
  integer, parameter :: nGC_12369 = 1020
  integer, parameter :: nGC_12368 = 1021
  integer, parameter :: nGC_12722 = 1022
  integer, parameter :: nGC_9278 = 1023
  integer, parameter :: nGC_12142 = 1024
  integer, parameter :: nGC_12222 = 1025
  integer, parameter :: nGC_9429 = 1026
  integer, parameter :: nGC_9428 = 1027
  integer, parameter :: nGC_9427 = 1028
  integer, parameter :: nGC_9354 = 1029
  integer, parameter :: nGC_9425 = 1030
  integer, parameter :: nGC_9424 = 1031
  integer, parameter :: nGC_9423 = 1032
  integer, parameter :: nGC_9422 = 1033
  integer, parameter :: nGC_9353 = 1034
  integer, parameter :: nGC_9352 = 1035
  integer, parameter :: nGC_11981 = 1036
  integer, parameter :: nGC_11984 = 1037
  integer, parameter :: nGC_13752 = 1038
  integer, parameter :: nGC_12033 = 1039
  integer, parameter :: nGC_12036 = 1040
  integer, parameter :: nGC_9632 = 1041
  integer, parameter :: nGC_12485 = 1042
  integer, parameter :: nGC_9738 = 1043
  integer, parameter :: nGC_27662 = 1044
  integer, parameter :: nGC_9732 = 1045
  integer, parameter :: nGC_9736 = 1046
  integer, parameter :: nGC_23605 = 1047
  integer, parameter :: nGC_13036 = 1048
  integer, parameter :: nGC_14189 = 1049
  integer, parameter :: nGC_14188 = 1050
  integer, parameter :: nGC_13032 = 1051
  integer, parameter :: nGC_15512 = 1052
  integer, parameter :: nGC_15511 = 1053
  integer, parameter :: nGC_13356 = 1054
  integer, parameter :: nGC_16562 = 1055
  integer, parameter :: nGC_9646 = 1056
  integer, parameter :: nGC_9644 = 1057
  integer, parameter :: nGC_9641 = 1058
  integer, parameter :: nGC_9435 = 1059
  integer, parameter :: nGC_13647 = 1060
  integer, parameter :: nGC_12453 = 1061
  integer, parameter :: nGC_12455 = 1062
  integer, parameter :: nGC_12454 = 1063
  integer, parameter :: nGC_12596 = 1064
  integer, parameter :: nGC_9296 = 1065
  integer, parameter :: nGC_9297 = 1066
  integer, parameter :: nGC_9291 = 1067
  integer, parameter :: nGC_12856 = 1068
  integer, parameter :: nGC_16809 = 1069
  integer, parameter :: nGC_13427 = 1070
  integer, parameter :: nGC_9463 = 1071
  integer, parameter :: nGC_9462 = 1072
  integer, parameter :: nGC_9461 = 1073
  integer, parameter :: nGC_9460 = 1074
  integer, parameter :: nGC_9467 = 1075
  integer, parameter :: nGC_9466 = 1076
  integer, parameter :: nGC_9465 = 1077
  integer, parameter :: nGC_9464 = 1078
  integer, parameter :: nGC_9783 = 1079
  integer, parameter :: nGC_9469 = 1080
  integer, parameter :: nGC_9468 = 1081
  integer, parameter :: nGC_9786 = 1082
  integer, parameter :: nGC_12296 = 1083
  integer, parameter :: nGC_12354 = 1084
  integer, parameter :: nGC_12355 = 1085
  integer, parameter :: nGC_12079 = 1086
  integer, parameter :: nGC_12075 = 1087
  integer, parameter :: nGC_12076 = 1088
  integer, parameter :: nGC_12176 = 1089
  integer, parameter :: nGC_9519 = 1090
  integer, parameter :: nGC_9307 = 1091
  integer, parameter :: nGC_15384 = 1092
  integer, parameter :: nGC_15385 = 1093
  integer, parameter :: nGC_9302 = 1094
  integer, parameter :: nGC_15383 = 1095
  integer, parameter :: nGC_9454 = 1096
  integer, parameter :: nGC_12183 = 1097
  integer, parameter :: nGC_9455 = 1098
  integer, parameter :: nGC_9287 = 1099
  integer, parameter :: nGC_9285 = 1100
  integer, parameter :: nGC_9284 = 1101
  integer, parameter :: nGC_9281 = 1102
  integer, parameter :: nGC_9280 = 1103
  integer, parameter :: nGC_9289 = 1104
  integer, parameter :: nGC_9288 = 1105
  integer, parameter :: nGC_11955 = 1106
  integer, parameter :: nGC_11953 = 1107
  integer, parameter :: nGC_12003 = 1108
  integer, parameter :: nGC_12004 = 1109
  integer, parameter :: nGC_11959 = 1110
  integer, parameter :: nGC_9765 = 1111
  integer, parameter :: nGC_9762 = 1112
  integer, parameter :: nGC_9603 = 1113
  integer, parameter :: nGC_9602 = 1114
  integer, parameter :: nGC_9600 = 1115
  integer, parameter :: nGC_9605 = 1116
  integer, parameter :: nGC_781 = 1117
  integer, parameter :: nGC_12556 = 1118
  integer, parameter :: nGC_12557 = 1119
  integer, parameter :: nGC_13411 = 1120
  integer, parameter :: nGC_9843 = 1121
  integer, parameter :: nGC_9846 = 1122
  integer, parameter :: nGC_9849 = 1123
  integer, parameter :: nGC_12952 = 1124
  integer, parameter :: nGC_12951 = 1125
  integer, parameter :: nGC_14473 = 1126
  integer, parameter :: nGC_17828 = 1127
  integer, parameter :: nGC_13078 = 1128
  integer, parameter :: nGC_13522 = 1129
  integer, parameter :: nGC_12308 = 1130
  integer, parameter :: nGC_12400 = 1131
  integer, parameter :: nGC_13554 = 1132
  integer, parameter :: nGC_13551 = 1133
  integer, parameter :: nGC_13553 = 1134
  integer, parameter :: nGC_12829 = 1135
  integer, parameter :: nGC_12236 = 1136
  integer, parameter :: nGC_12235 = 1137
  integer, parameter :: nGC_9438 = 1138
  integer, parameter :: nGC_9439 = 1139
  integer, parameter :: nGC_9434 = 1140
  integer, parameter :: nGC_9343 = 1141
  integer, parameter :: nGC_9430 = 1142
  integer, parameter :: nGC_9431 = 1143
  integer, parameter :: nGC_27343 = 1144
  integer, parameter :: nGC_27342 = 1145
  integer, parameter :: nGC_27340 = 1146
  integer, parameter :: nGC_12730 = 1147
  integer, parameter :: nGC_12737 = 1148
  integer, parameter :: nGC_11992 = 1149
  integer, parameter :: nGC_11991 = 1150
  integer, parameter :: nGC_9304 = 1151
  integer, parameter :: nGC_12978 = 1152
  integer, parameter :: nGC_12049 = 1153
  integer, parameter :: nGC_9303 = 1154
  integer, parameter :: nGC_9481 = 1155
  integer, parameter :: nGC_9722 = 1156
  integer, parameter :: nGC_9332 = 1157
  integer, parameter :: nGC_24482 = 1158
  integer, parameter :: nGC_12981 = 1159
  integer, parameter :: nGC_9396 = 1160
  integer, parameter :: nGC_9399 = 1161
  integer, parameter :: nGC_9398 = 1162
  integer, parameter :: nGC_12054 = 1163
  integer, parameter :: nGC_9413 = 1164
  integer, parameter :: nGC_13908 = 1165
  integer, parameter :: nGC_13909 = 1166
  integer, parameter :: nGC_13639 = 1167
  integer, parameter :: nGC_13753 = 1168
  integer, parameter :: nGC_13751 = 1169
  integer, parameter :: nGC_12465 = 1170
  integer, parameter :: nGC_13119 = 1171
  integer, parameter :: nGC_12581 = 1172
  integer, parameter :: nGC_12582 = 1173
  integer, parameter :: nGC_12862 = 1174
  integer, parameter :: nGC_12861 = 1175
  integer, parameter :: nGC_13910 = 1176
  integer, parameter :: nGC_13596 = 1177
  integer, parameter :: nGC_12513 = 1178
  integer, parameter :: nGC_12514 = 1179
  integer, parameter :: nGC_16813 = 1180
  integer, parameter :: nGC_13766 = 1181
  integer, parameter :: nGC_12763 = 1182
  integer, parameter :: nGC_18121 = 1183
  integer, parameter :: nGC_13362 = 1184
  integer, parameter :: nGC_9470 = 1185
  integer, parameter :: nGC_9471 = 1186
  integer, parameter :: nGC_9472 = 1187
  integer, parameter :: nGC_9473 = 1188
  integer, parameter :: nGC_9474 = 1189
  integer, parameter :: nGC_9475 = 1190
  integer, parameter :: nGC_15386 = 1191
  integer, parameter :: nGC_13872 = 1192
  integer, parameter :: nGC_21748 = 1193
  integer, parameter :: nGC_13058 = 1194
  integer, parameter :: nGC_13059 = 1195
  integer, parameter :: nGC_12347 = 1196
  integer, parameter :: nGC_12899 = 1197
  integer, parameter :: nGC_12560 = 1198
  integer, parameter :: nGC_13379 = 1199
  integer, parameter :: nGC_12088 = 1200
  integer, parameter :: nGC_12089 = 1201
  integer, parameter :: nGC_12167 = 1202
  integer, parameter :: nGC_11956 = 1203
  integer, parameter :: nGC_12168 = 1204
  integer, parameter :: nGC_14911 = 1205
  integer, parameter :: nGC_9277 = 1206
  integer, parameter :: nGC_12898 = 1207
  integer, parameter :: nGC_27339 = 1208
  integer, parameter :: nGC_17830 = 1209
  integer, parameter :: nGC_12092 = 1210
  integer, parameter :: nGC_13383 = 1211
  integer, parameter :: nGC_12099 = 1212
  integer, parameter :: nGC_12250 = 1213
  integer, parameter :: nGC_12018 = 1214
  integer, parameter :: nGC_12017 = 1215
  integer, parameter :: nGC_12798 = 1216
  integer, parameter :: nGC_11974 = 1217
  integer, parameter :: nGC_13523 = 1218
  integer, parameter :: nGC_12141 = 1219
  integer, parameter :: nGC_11973 = 1220
  integer, parameter :: nGC_12024 = 1221
  integer, parameter :: nGC_12021 = 1222
  integer, parameter :: nGC_12944 = 1223
  integer, parameter :: nGC_9420 = 1224
  integer, parameter :: nGC_13065 = 1225
  integer, parameter :: nGC_13064 = 1226
  integer, parameter :: nGC_12846 = 1227
  integer, parameter :: nGC_12333 = 1228
  integer, parameter :: nGC_12464 = 1229
  integer, parameter :: nGC_13484 = 1230
  integer, parameter :: nGC_13483 = 1231
  integer, parameter :: nGC_12425 = 1232
  integer, parameter :: nGC_12545 = 1233
  integer, parameter :: nGC_12544 = 1234
  integer, parameter :: nGC_13037 = 1235
  integer, parameter :: nGC_12447 = 1236
  integer, parameter :: nGC_12202 = 1237
  integer, parameter :: nGC_13507 = 1238
  integer, parameter :: nGC_12201 = 1239
  integer, parameter :: nGC_12206 = 1240
  integer, parameter :: nGC_12771 = 1241
  integer, parameter :: nGC_9401 = 1242
  integer, parameter :: nGC_9403 = 1243
  integer, parameter :: nGC_9402 = 1244
  integer, parameter :: nGC_9405 = 1245
  integer, parameter :: nGC_9404 = 1246
  integer, parameter :: nGC_12434 = 1247
  integer, parameter :: nGC_12724 = 1248
  integer, parameter :: nGC_13431 = 1249
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
