!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_12926) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12925) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_11995) = coupl(nGC_45)*dZWMinus/2d0 + coupl(nGC_9502)
      coupl(nGC_12986) = coupl(nGC_127)*dZA/2d0 + coupl(nGC_127)*dZWMinus/2d0  &
                          + coupl(nGC_9619)
      coupl(nGC_9458) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101   &
                        ) - coupl(nGC_102) - coupl(nGC_103) + coupl(nGC_86) +  &
                        coupl(nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl( &
                        nGC_93) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96 &
                        ) - coupl(nGC_97))/(128d0*pi**2d0)
      coupl(nGC_11998) = coupl(nGC_157)*dZnu_tauL/2d0 + coupl(nGC_157)*        &
                         dZtauMinusR/2d0 + coupl(nGC_9584)
      coupl(nGC_12040) = coupl(nGC_156)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12041) = -coupl(nGC_12040) - coupl(nGC_9608)
      coupl(nGC_12042) = coupl(nGC_12040) + coupl(nGC_9608)
      coupl(nGC_9336) = coupl(nGC_11)**2d0*coupl(nGC_138)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9351) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9327) = coupl(nGC_11)**2d0*coupl(nGC_153)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12125) = coupl(nGC_129)*dZbR_QCD2/2d0 + coupl(nGC_129)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9566)
      coupl(nGC_9305) = cima*(-coupl(nGC_115)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_24)**2d0 - coupl(nGC_25)**2d0 - coupl(nGC_42)**2d0 &
                         - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(    &
                        nGC_67)**2d0 - coupl(nGC_94)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12928) = coupl(nGC_12926) + coupl(nGC_9892)
      coupl(nGC_9300) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9459) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)**2d0  &
                         + coupl(nGC_102)**2d0 + coupl(nGC_103)**2d0 + 2d0*    &
                        coupl(nGC_17)**2d0 + 2d0*coupl(nGC_18)**2d0 + 2d0*coupl&
                        (nGC_19)**2d0 + 2d0*coupl(nGC_23)**2d0 + 2d0*coupl(    &
                        nGC_24)**2d0 + 2d0*coupl(nGC_25)**2d0 + 2d0*coupl(     &
                        nGC_26)**2d0 + 2d0*coupl(nGC_27)**2d0 + 2d0*coupl(     &
                        nGC_28)**2d0 + 2d0*coupl(nGC_32)**2d0 + 2d0*coupl(     &
                        nGC_33)**2d0 + 2d0*coupl(nGC_34)**2d0 + coupl(nGC_86)**&
                        2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88)**2d0 + coupl( &
                        nGC_92)**2d0 + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0 &
                         + coupl(nGC_95)**2d0 + coupl(nGC_96)**2d0 + coupl(    &
                        nGC_97)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9482) = -cima*dlam_QED2
      coupl(nGC_9485) = coupl(nGC_9483)*dlam_QED2 + coupl(nGC_9484)*dvev_QEDM1
      coupl(nGC_9339) = coupl(nGC_11)**2d0*coupl(nGC_150)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12975) = coupl(nGC_77)*(dZdR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9337) = coupl(nGC_11)**2d0*coupl(nGC_140)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9488) = coupl(nGC_9486)*dlam_QED2 + coupl(nGC_9487)*dvev_QEDM1
      coupl(nGC_9335) = coupl(nGC_11)**2d0*coupl(nGC_132)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9334) = coupl(nGC_11)**2d0*coupl(nGC_131)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9333) = coupl(nGC_11)**2d0*coupl(nGC_161)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9331) = coupl(nGC_11)**2d0*coupl(nGC_156)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9330) = coupl(nGC_11)**2d0*coupl(nGC_569)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9804) = coupl(nGC_9802)*dcw_ + coupl(nGC_9803)*dsw_
      coupl(nGC_9807) = coupl(nGC_9805)*dcw_ + coupl(nGC_9806)*dsw_
      coupl(nGC_9801) = coupl(nGC_9799)*dcw_ + coupl(nGC_9800)*dsw_
      coupl(nGC_13748) = coupl(nGC_149)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_16558) = coupl(nGC_MI)*dZWpMinus
      coupl(nGC_9651) = coupl(nGC_9649)*dcw_ + coupl(nGC_9650)*dvev_QEDM1
      coupl(nGC_13636) = coupl(nGC_88)*dZbL_QCD2
      coupl(nGC_13633) = coupl(nGC_97)*dZbR_QCD2
      coupl(nGC_13118) = coupl(nGC_101)*dZZp/2d0 + coupl(nGC_9819)
      coupl(nGC_13290) = coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_13116) = coupl(nGC_92)*dZuL_QCD2
      coupl(nGC_13113) = coupl(nGC_101)*dZuR_QCD2
      coupl(nGC_13056) = coupl(nGC_34)*(dZcR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12866) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_12865) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_12868) = coupl(nGC_I)*dZH
      coupl(nGC_13180) = coupl(nGC_110)*dZbR_QCD2
      coupl(nGC_12511) = coupl(nGC_111)*dZcR_QCD2
      coupl(nGC_9426) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0  &
                         + coupl(nGC_109)**2d0 + coupl(nGC_42)**2d0 + 2d0*coupl&
                        (nGC_43)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13025) = coupl(nGC_45)*dZWMinus + coupl(nGC_45)*dZZ/2d0 + coupl&
                         (nGC_9502)
      coupl(nGC_16812) = coupl(nGC_9894) + coupl(nGC_MZ)*dZZ
      coupl(nGC_18125) = -coupl(nGC_9458)
      coupl(nGC_12760) = coupl(nGC_27)*(dZbR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_12762) = coupl(nGC_18)*dZZp/2d0 + coupl(nGC_9759)
      coupl(nGC_12767) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_12768) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_13360) = coupl(nGC_158)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_13367) = 2d0*coupl(nGC_36)*dZWMinus + coupl(nGC_9635)
      coupl(nGC_9350) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9476) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_9477) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_9578) = coupl(nGC_9577)*dye_QED1
      coupl(nGC_9570) = coupl(nGC_9568)*dyb_QED1
      coupl(nGC_16722) = 2d0*coupl(nGC_16716)
      coupl(nGC_16727) = -2d0*coupl(nGC_16716)
      coupl(nGC_12344) = coupl(nGC_124)*dZH/2d0 + coupl(nGC_9485)
      coupl(nGC_12341) = coupl(nGC_82)*dZWpMinus/2d0 + coupl(nGC_9694)
      coupl(nGC_12340) = coupl(nGC_64)*dZWpMinus/2d0 + coupl(nGC_9696)
      coupl(nGC_12083) = coupl(nGC_66)*(dZsL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_12086) = coupl(nGC_84)*(dZsR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9682) = coupl(nGC_9681)*dsw_
      coupl(nGC_9680) = coupl(nGC_9679)*dsw_
      coupl(nGC_9686) = coupl(nGC_9685)*dsw_
      coupl(nGC_12247) = coupl(nGC_67)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_9371) = coupl(nGC_11)**2d0*coupl(nGC_97)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9370) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9377) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9375) = coupl(nGC_11)**2d0*coupl(nGC_28)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9374) = coupl(nGC_11)**2d0*coupl(nGC_19)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9379) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9562) = coupl(nGC_9561)*dys_QED1_QCD2
      coupl(nGC_12645) = coupl(nGC_142)*dZeMinusR/2d0 + coupl(nGC_142)*dZnu_eL/&
                         2d0 + coupl(nGC_9574)
      coupl(nGC_9294) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9295) = cima*(-coupl(nGC_102)**2d0 - coupl(nGC_111)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_32)**2d0 - coupl(nGC_34  &
                        )**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)**2d0 -     &
                        coupl(nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_11968) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_11969) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_9290) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9292) = cima*(-coupl(nGC_108)**2d0 - coupl(nGC_115)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(nGC_25  &
                        )**2d0 - coupl(nGC_43)**2d0 - coupl(nGC_62)**2d0 -     &
                        coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_93 &
                        )**2d0)/(16d0*pi**2d0)
      coupl(nGC_9293) = cima*(-cMB*coupl(nGC_64)*coupl(nGC_82) - cMC*coupl(    &
                        nGC_102)*coupl(nGC_93) - cMC*coupl(nGC_111)*coupl(     &
                        nGC_115) - cMC*coupl(nGC_2)**2d0 - cMD*coupl(nGC_62)*  &
                        coupl(nGC_80) - cMS*coupl(nGC_63)*coupl(nGC_81) - cMT* &
                        coupl(nGC_25)*coupl(nGC_34) - cMU*coupl(nGC_23)*coupl( &
                        nGC_32))/(8d0*pi**2d0)
      coupl(nGC_11961) = coupl(nGC_63)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_11966) = coupl(nGC_63)*dZWpMinus/2d0 + coupl(nGC_9692)
      coupl(nGC_11967) = coupl(nGC_81)*dZWpMinus/2d0 + coupl(nGC_9690)
      coupl(nGC_12012) = coupl(nGC_102)*dZZp/2d0 + coupl(nGC_9837)
      coupl(nGC_12011) = coupl(nGC_93)*dZZp/2d0 + coupl(nGC_9840)
      coupl(nGC_9441) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_86) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_1)*   &
                        coupl(nGC_88) - coupl(nGC_1)*coupl(nGC_95) - coupl(    &
                        nGC_1)*coupl(nGC_96) - coupl(nGC_1)*coupl(nGC_97) -    &
                        coupl(nGC_101)*coupl(nGC_2) - coupl(nGC_102)*coupl(    &
                        nGC_2) - coupl(nGC_103)*coupl(nGC_2) - coupl(nGC_2)*   &
                        coupl(nGC_92) - coupl(nGC_2)*coupl(nGC_93) - coupl(    &
                        nGC_2)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
      coupl(nGC_9750) = coupl(nGC_9748)*dcw_ + coupl(nGC_9749)*dsw_
      coupl(nGC_9753) = coupl(nGC_9751)*dcw_ + coupl(nGC_9752)*dsw_
      coupl(nGC_9855) = coupl(nGC_183)*dZgs_QCD2
      coupl(nGC_9852) = coupl(nGC_9850)*dcw_ + coupl(nGC_9851)*dsw_
      coupl(nGC_14109) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_9479)
      coupl(nGC_12946) = coupl(nGC_19)*(dZbL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_12949) = coupl(nGC_28)*(dZbR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_13063) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_13062) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_12335) = coupl(nGC_64)*(dZbL_QCD2 + dZcL_QCD2)/2d0
      coupl(nGC_12332) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_12330) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_12331) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_12338) = coupl(nGC_82)*(dZbR_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9539) = coupl(nGC_9538)*dydo_QED1_QCD2
      coupl(nGC_9534) = coupl(nGC_9532)*dydo_QED1
      coupl(nGC_13080) = coupl(nGC_111)*dZuR_QCD2
      coupl(nGC_9531) = coupl(nGC_9529)*dydo_QED1
      coupl(nGC_9530) = coupl(nGC_9529)*dydo_QED1_QCD2
      coupl(nGC_9533) = coupl(nGC_9532)*dydo_QED1_QCD2
      coupl(nGC_12830) = coupl(nGC_20)*dZZp/2d0 + coupl(nGC_20)*dZeMinusL/2d0  &
                          + coupl(nGC_20)*dZmuMinusL/2d0 + coupl(nGC_9789)
      coupl(nGC_12426) = coupl(nGC_74)*dZWpMinus/2d0 + coupl(nGC_74)*dZeMinusR/&
                         2d0 + coupl(nGC_74)*dZnu_tauR/2d0 + coupl(nGC_9734)
      coupl(nGC_12541) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_12540) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_12428) = coupl(nGC_110)*dZdR_QCD2
      coupl(nGC_26058) = -coupl(nGC_11995)
      coupl(nGC_12612) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_9521)
      coupl(nGC_12203) = -coupl(nGC_9594)
      coupl(nGC_12200) = coupl(nGC_161)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12207) = coupl(nGC_3)*dZWMinus/2d0
      coupl(nGC_12757) = coupl(nGC_18)*(dZbL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_13337) = coupl(nGC_146)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_13339) = coupl(nGC_13337) + coupl(nGC_9581)
      coupl(nGC_13338) = -coupl(nGC_13337) - coupl(nGC_9581)
      coupl(nGC_9381) = coupl(nGC_11)**2d0*coupl(nGC_32)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9409) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_110)**2d0 - coupl(nGC_136)**2d0 - coupl(nGC_137)*  &
                        coupl(nGC_681) - coupl(nGC_138)**2d0 - coupl(nGC_139)* &
                        coupl(nGC_141) - coupl(nGC_140)**2d0 - 4d0*coupl(nGC_26&
                        )**2d0 - 4d0*coupl(nGC_27)**2d0 - 4d0*coupl(nGC_77)**  &
                        2d0 - 4d0*coupl(nGC_80)**2d0 - 4d0*coupl(nGC_83)**2d0  &
                         - 4d0*coupl(nGC_95)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9408) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_108)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_135&
                        )**2d0 - coupl(nGC_137)*coupl(nGC_681) - coupl(nGC_138 &
                        )**2d0 - coupl(nGC_151)*coupl(nGC_153) - coupl(nGC_152 &
                        )**2d0 - coupl(nGC_162)**2d0 - 4d0*coupl(nGC_17)**2d0  &
                         - 4d0*coupl(nGC_18)**2d0 - 4d0*coupl(nGC_43)**2d0 -   &
                        4d0*coupl(nGC_59)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0* &
                        coupl(nGC_65)**2d0 - 4d0*coupl(nGC_86)**2d0)/(64d0*pi**&
                        2d0)
      coupl(nGC_15253) = coupl(nGC_MI)*dZZp
      coupl(nGC_9400) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_1819) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_9407) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_110)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_137)*  &
                        coupl(nGC_681) + coupl(nGC_138)**2d0 + coupl(nGC_139)* &
                        coupl(nGC_141) + coupl(nGC_140)**2d0 + 4d0*coupl(nGC_26&
                        )**2d0 + 4d0*coupl(nGC_27)**2d0 + 4d0*coupl(nGC_77)**  &
                        2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_83)**2d0  &
                         + 4d0*coupl(nGC_95)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9406) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_108)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_135&
                        )**2d0 + coupl(nGC_137)*coupl(nGC_681) + coupl(nGC_138 &
                        )**2d0 + coupl(nGC_151)*coupl(nGC_153) + coupl(nGC_152 &
                        )**2d0 + coupl(nGC_162)**2d0 + 4d0*coupl(nGC_17)**2d0  &
                         + 4d0*coupl(nGC_18)**2d0 + 4d0*coupl(nGC_43)**2d0 +   &
                        4d0*coupl(nGC_59)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0* &
                        coupl(nGC_65)**2d0 + 4d0*coupl(nGC_86)**2d0)/(64d0*pi**&
                        2d0*Nc)
      coupl(nGC_15256) = coupl(nGC_9895) + coupl(nGC_MZp)*dZZp
      coupl(nGC_15257) = -coupl(nGC_15253)
      coupl(nGC_12721) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_12723) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_16717) = -coupl(nGC_16716)
      coupl(nGC_9391) = coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101) - coupl(  &
                        nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl(     &
                        nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93 &
                        ) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) -    &
                        coupl(nGC_97))/(24d0*pi**2d0*Nc)
      coupl(nGC_9390) = coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101) + coupl(   &
                        nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl(     &
                        nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93 &
                        ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(24d0*pi**2d0)
      coupl(nGC_9393) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9392) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9395) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9394) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9397) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_1819) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_12118) = -coupl(nGC_9531)
      coupl(nGC_12050) = coupl(nGC_155)*dZH/2d0 + coupl(nGC_9612)
      coupl(nGC_12116) = -coupl(nGC_12115) - coupl(nGC_9530)
      coupl(nGC_12117) = coupl(nGC_12115) + coupl(nGC_9530)
      coupl(nGC_12110) = coupl(nGC_44)*dZZ/2d0 + coupl(nGC_9509)
      coupl(nGC_9714) = coupl(nGC_9713)*dsw_
      coupl(nGC_9710) = coupl(nGC_9709)*dsw_
      coupl(nGC_9328) = coupl(nGC_11)**2d0*coupl(nGC_973)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9329) = coupl(nGC_11)**2d0*coupl(nGC_149)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9499) = coupl(nGC_9497)*dsw_ + coupl(nGC_9498)*dMW2
      coupl(nGC_9496) = coupl(nGC_9494)*dsw_ + coupl(nGC_9495)*dMW2
      coupl(nGC_9326) = coupl(nGC_11)**2d0*coupl(nGC_141)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9320) = coupl(nGC_11)**2d0*coupl(nGC_601)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9322) = coupl(nGC_11)**2d0*coupl(nGC_139)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9323) = coupl(nGC_11)**2d0*coupl(nGC_151)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9813) = coupl(nGC_9811)*dcw_ + coupl(nGC_9812)*dsw_
      coupl(nGC_12151) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9545)
      coupl(nGC_9816) = coupl(nGC_9814)*dcw_ + coupl(nGC_9815)*dsw_
      coupl(nGC_12488) = coupl(nGC_110)*dZsR_QCD2
      coupl(nGC_12399) = coupl(nGC_144)*dZH/2d0 + coupl(nGC_9578)
      coupl(nGC_9669) = coupl(nGC_9667)*dcw_ + coupl(nGC_9668)*dsw_
      coupl(nGC_9881) = coupl(nGC_9879)*dcw_ + coupl(nGC_9880)*dsw_
      coupl(nGC_12571) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_12572) = -coupl(nGC_12571)
      coupl(nGC_12576) = coupl(nGC_78)*(dZsR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9866) = coupl(nGC_9864)*dcw_ + coupl(nGC_9865)*dsw_
      coupl(nGC_12209) = coupl(nGC_1)*dZA/2d0
      coupl(nGC_9863) = coupl(nGC_9862)*dsw_
      coupl(nGC_9861) = coupl(nGC_9860)*dsw_
      coupl(nGC_9869) = coupl(nGC_9867)*dcw_ + coupl(nGC_9868)*dsw_
      coupl(nGC_12871) = coupl(nGC_9883) + coupl(nGC_MH)*dZH
      coupl(nGC_9318) = coupl(nGC_11)**2d0*coupl(nGC_839)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13871) = coupl(nGC_40)*dZH/2d0 + coupl(nGC_40)*dZWMinus/2d0 +  &
                         coupl(nGC_9623)
      coupl(nGC_12878) = coupl(nGC_122)*dZZ + coupl(nGC_9659)
      coupl(nGC_14550) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_14552) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_14553) = coupl(nGC_14550) + coupl(nGC_9889)
      coupl(nGC_13375) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_12289) = coupl(nGC_49)*dZA/2d0 + coupl(nGC_49)*dZWMinus + coupl&
                         (nGC_49)*dZZ/2d0 + coupl(nGC_9656)
      coupl(nGC_9449) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 + &
                        coupl(nGC_60)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62 &
                        )**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_64)**2d0 +     &
                        coupl(nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_67 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)**2d0 +     &
                        coupl(nGC_79)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81 &
                        )**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83)**2d0 +     &
                        coupl(nGC_84)**2d0 + coupl(nGC_85)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9448) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_9560) = coupl(nGC_9558)*dys_QED1
      coupl(nGC_9445) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)*coupl&
                        (nGC_111) - coupl(nGC_102)*coupl(nGC_111) - coupl(     &
                        nGC_103)*coupl(nGC_111) - coupl(nGC_110)*coupl(nGC_95  &
                        ) - coupl(nGC_110)*coupl(nGC_96) - coupl(nGC_110)*coupl&
                        (nGC_97) - coupl(nGC_114)*coupl(nGC_86) - coupl(nGC_114&
                        )*coupl(nGC_87) - coupl(nGC_114)*coupl(nGC_88) - coupl(&
                        nGC_115)*coupl(nGC_92) - coupl(nGC_115)*coupl(nGC_93   &
                        ) - coupl(nGC_115)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
      coupl(nGC_9444) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)*coupl(&
                        nGC_111) + coupl(nGC_102)*coupl(nGC_111) + coupl(      &
                        nGC_103)*coupl(nGC_111) + coupl(nGC_110)*coupl(nGC_95  &
                        ) + coupl(nGC_110)*coupl(nGC_96) + coupl(nGC_110)*coupl&
                        (nGC_97) + coupl(nGC_114)*coupl(nGC_86) + coupl(nGC_114&
                        )*coupl(nGC_87) + coupl(nGC_114)*coupl(nGC_88) + coupl(&
                        nGC_115)*coupl(nGC_92) + coupl(nGC_115)*coupl(nGC_93   &
                        ) + coupl(nGC_115)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9447) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_9446) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_13177) = coupl(nGC_114)*dZbL_QCD2
      coupl(nGC_9440) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_86) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_1)*   &
                        coupl(nGC_88) + coupl(nGC_1)*coupl(nGC_95) + coupl(    &
                        nGC_1)*coupl(nGC_96) + coupl(nGC_1)*coupl(nGC_97) +    &
                        coupl(nGC_101)*coupl(nGC_2) + coupl(nGC_102)*coupl(    &
                        nGC_2) + coupl(nGC_103)*coupl(nGC_2) + coupl(nGC_2)*   &
                        coupl(nGC_92) + coupl(nGC_2)*coupl(nGC_93) + coupl(    &
                        nGC_2)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9443) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_110)**2d0 &
                         - coupl(nGC_111)**2d0 - coupl(nGC_114)**2d0 - coupl(  &
                        nGC_115)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9442) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_110)**2d0  &
                         + coupl(nGC_111)**2d0 + coupl(nGC_114)**2d0 + coupl(  &
                        nGC_115)**2d0)/(32d0*pi**2d0)
      coupl(nGC_14910) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_12373) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_9863)
      coupl(nGC_12371) = coupl(nGC_42)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_12473) = coupl(nGC_130)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_12475) = coupl(nGC_12473) + coupl(nGC_9569)
      coupl(nGC_12474) = -coupl(nGC_12473) - coupl(nGC_9569)
      coupl(nGC_12476) = -coupl(nGC_9570)
      coupl(nGC_12096) = coupl(nGC_108)*dZWMinus/2d0 + coupl(nGC_9861)
      coupl(nGC_12094) = coupl(nGC_108)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_12152) = coupl(nGC_140)*dZdR_QCD2/2d0 + coupl(nGC_140)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9542)
      coupl(nGC_12153) = coupl(nGC_152)*dZH/2d0 + coupl(nGC_9546)
      coupl(nGC_12622) = coupl(nGC_11954) + coupl(nGC_12620)
      coupl(nGC_12623) = coupl(nGC_11954) + coupl(nGC_12621)
      coupl(nGC_13368) = -2d0*coupl(nGC_13367)
      coupl(nGC_12154) = coupl(nGC_140)*dZH/2d0 + coupl(nGC_9543)
      coupl(nGC_12253) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZnu_tauL/ &
                         2d0 + coupl(nGC_42)*dZtauMinusL/2d0 + coupl(nGC_9863)
      coupl(nGC_9299) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0 - coupl(&
                        nGC_26)**2d0 - coupl(nGC_28)**2d0 - coupl(nGC_78)**2d0 &
                         - coupl(nGC_81)**2d0 - coupl(nGC_84)**2d0 - coupl(    &
                        nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12256) = coupl(nGC_118)*dZA/2d0 + coupl(nGC_118)*dZZ/2d0 +     &
                         coupl(nGC_9638)
      coupl(nGC_12393) = coupl(nGC_12392) + coupl(nGC_9562)
      coupl(nGC_12394) = coupl(nGC_150)*dZH/2d0 + coupl(nGC_9563)
      coupl(nGC_12396) = coupl(nGC_144)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_9362) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9363) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9419) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_103)**2d0 + 4d0*coupl(&
                        nGC_111)**2d0 + coupl(nGC_154)**2d0 + coupl(nGC_155)** &
                        2d0 + coupl(nGC_156)*coupl(nGC_569) + 4d0*coupl(nGC_2  &
                        )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_34)**  &
                        2d0 + 4d0*coupl(nGC_83)**2d0 + 4d0*coupl(nGC_84)**2d0  &
                         + 4d0*coupl(nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9365) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9366) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9367) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9369) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9599) = coupl(nGC_9598)*dyc_QED1_QCD2
      coupl(nGC_12659) = coupl(nGC_145)*dZmuMinusR/2d0 + coupl(nGC_145)*       &
                         dZnu_muL/2d0 + coupl(nGC_9579)
      coupl(nGC_13363) = coupl(nGC_13360) + coupl(nGC_9586)
      coupl(nGC_9593) = coupl(nGC_9592)*dyup_QED1_QCD2
      coupl(nGC_9591) = coupl(nGC_9589)*dyup_QED1
      coupl(nGC_9590) = coupl(nGC_9589)*dyup_QED1_QCD2
      coupl(nGC_9597) = coupl(nGC_9595)*dyup_QED1
      coupl(nGC_9596) = coupl(nGC_9595)*dyup_QED1_QCD2
      coupl(nGC_9625) = coupl(nGC_9624)*dsw_
      coupl(nGC_9627) = coupl(nGC_9626)*dsw_
      coupl(nGC_9621) = coupl(nGC_9620)*dsw_
      coupl(nGC_9629) = coupl(nGC_9628)*dsw_
      coupl(nGC_13954) = coupl(nGC_9898) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_23976) = -coupl(nGC_12612)
      coupl(nGC_25159) = -coupl(nGC_12110)
      coupl(nGC_9747) = coupl(nGC_9745)*dcw_ + coupl(nGC_9746)*dsw_
      coupl(nGC_9744) = coupl(nGC_9743)*dsw_
      coupl(nGC_9742) = coupl(nGC_9741)*dsw_
      coupl(nGC_9740) = coupl(nGC_9739)*dsw_
      coupl(nGC_15508) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_15509) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9828) = coupl(nGC_9826)*dcw_ + coupl(nGC_9827)*dsw_
      coupl(nGC_9822) = coupl(nGC_9820)*dcw_ + coupl(nGC_9821)*dsw_
      coupl(nGC_27660) = coupl(nGC_9390)/2d0
      coupl(nGC_9825) = coupl(nGC_9823)*dcw_ + coupl(nGC_9824)*dsw_
      coupl(nGC_13648) = coupl(nGC_11954) + coupl(nGC_13646)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
